# Uses of Enum Class
org.apache.sysds.runtime.matrix.data.RandomMatrixGenerator.PDF

Packages that use RandomMatrixGenerator.PDF
Package
Description
org.apache.sysds.runtime.matrix.data

## Uses of RandomMatrixGenerator.PDF in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data that return RandomMatrixGenerator.PDF
Modifier and Type
Method
Description
`static RandomMatrixGenerator.PDF`
RandomMatrixGenerator.PDF.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RandomMatrixGenerator.PDF[]`
RandomMatrixGenerator.PDF.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.matrix.data with parameters of type RandomMatrixGenerator.PDF
Modifier and Type
Method
Description
`void`
RandomMatrixGenerator.`init(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max)`
Initializes internal data structures.
`void`
RandomMatrixGenerator.`init(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max, double mean)`
Instantiates a Random number generator with a specific poisson mean
`static boolean`
LibMatrixDatagen.`isShortcutRandOperation(double min, double max, double sparsity, RandomMatrixGenerator.PDF pdf)`
Constructors in org.apache.sysds.runtime.matrix.data with parameters of type RandomMatrixGenerator.PDF
Modifier
Constructor
Description
``
`RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp)`
Instantiates a Random number generator
``
`RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max)`
Instantiates a Random number generator
``
`RandomMatrixGenerator(RandomMatrixGenerator.PDF pdf, int r, int c, int blen, double sp, double min, double max, double mean)`
Instantiates a Random number generator with a specific poisson mean